* {
    background-color: slategrey;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: black;
}

.pose-card-title {
    font-size: 1.5rem;
    text-align: center;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 10px;
    margin-right: 5%;
    margin-left: 5%;
}

#pause-play-btn {
    width: 50px;
    height: 10px;
    margin-bottom: 50px;
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
}

#play-pause-img {
    width: 100%;
}
#timer {
    font-size: xx-large;
    color: black;
}

img {
    max-width: 95%;
}

#pose-container {
    display: flex;
    flex-wrap: wrap;
    box-sizing: border-box;
    justify-content: center;
    overflow: hidden;
}

.pose-card {
    width: 20%;
    min-height: 40vh;
    margin: 15px;
    padding: 10px;
    background-color: #92b4a7;
    display: flex;
    flex-direction: column;
    align-items: center;
    border: #92b4a7 2px solid;
    overflow: hidden;
}

.pose-card > * {
    border: #92b4a7 2px solid;
    background-color: #92b4a7;
}

.first {
    border: #ffd23f 2px solid;
    background-color: #ffd23f;
    transform: scale(1.07);
}

.first > * {
    border: #ffd23f 2px solid;
    background-color: #ffd23f;
}

.second {
    border: #02deb2 2px solid;
    background-color: #02deb2;
    transform: scale(1.07);
}

.second > * {
    border: #02deb2 2px solid;
    background-color: #02deb2;
}

.almost-done {
    border: #fe5f55 2px solid;
}

.switch-side {
    animation-duration: 1s;
    animation-name: flip-card;
}

.duration {
    font-size: 0.8rem;
}

.done,
.done > * {
    background-color: #575c75;
    border: #575c75 2px solid;
    opacity: 0.4;
    transform: scale(1);
}

.pose-card > .description {
    display: none;
}
.pose-card > .no-description {
    display: none;
}
.pose-card:hover > .description {
    display: block;
    font-size: 0.81rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    line-height: 1.1;
}
.pose-card:hover > img {
    display: none;
}

@keyframes flip-card {
    0% {
        transform: rotateY(0deg);
    }
    100% {
        transform: rotateY(360deg);
    }
}

@media screen and (max-width: 900px) {
    h1 {
        font-size: small;
    }
    #play-pause-img {
        transform: scale(0.5);
    }

    .pose-card-title {
        font-size: medium;
    }
    .hidden {
        display: none;
    }
    .pose-card:hover > .description {
        display: none;
    }
    .pose-card:hover > img {
        display: block;
    }
}

@media screen and (max-width: 600px) and (orientation: Portrait) {
    .pose-card {
        margin: 10px;
        width: 80%;
        min-height: 20vh;
    }
    .pose-card > img {
        max-width: 20vh;
    }
}

/* Mobile phone in Landscape */
@media screen and (max-width: 900px) and (orientation: landscape) {
    .pose-card {
        margin: 10px;
        width: 28%;
        height: 72vh;
    }
}

@media screen and (max-height: 800px) and (orientation: Portrait) {
    .pose-card {
        margin: 10px;
        width: 80%;
        min-height: 17.5vh;
    }
    .pose-card > img {
        max-width: 19vh;
    }
}

@media screen and (max-height: 700px) and (orientation: Portrait) {
    .pose-card {
        margin: 10px;
        width: 80%;
        min-height: 16vh;
    }
    .pose-card > img {
        max-width: 17vh;
    }
}

@media screen and (max-height: 600px) and (orientation: Portrait) {
    .pose-card {
        margin: 10px;
        width: 80%;
        min-height: 18vh;
    }
    .pose-card > img {
        max-width: 13.5vh;
    }
}
